# Uses of Class
com.databricks.jdbc.model.telemetry.TelemetryEvent

Packages that use TelemetryEvent
Package
Description
com.databricks.jdbc.model.telemetry

## Uses of TelemetryEvent in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return TelemetryEvent
Modifier and Type
Method
Description
`TelemetryEvent`
FrontendLogEntry.`getSqlDriverLog()`
`TelemetryEvent`
TelemetryEvent.`setAuthType(String authType)`
`TelemetryEvent`
TelemetryEvent.`setDriverConnectionParameters(DriverConnectionParameters connectionParameters)`
`TelemetryEvent`
TelemetryEvent.`setDriverErrorInfo(DriverErrorInfo driverErrorInfo)`
`TelemetryEvent`
TelemetryEvent.`setDriverSystemConfiguration(DriverSystemConfiguration driverSystemConfiguration)`
`TelemetryEvent`
TelemetryEvent.`setLatency(Long latency)`
`TelemetryEvent`
TelemetryEvent.`setSessionId(String sessionId)`
`TelemetryEvent`
TelemetryEvent.`setSqlOperation(SqlExecutionEvent sqlOperation)`
`TelemetryEvent`
TelemetryEvent.`setSqlStatementId(String sqlStatementId)`
`TelemetryEvent`
TelemetryEvent.`setVolumeOperation(DriverVolumeOperation volumeOperation)`
Methods in com.databricks.jdbc.model.telemetry with parameters of type TelemetryEvent
Modifier and Type
Method
Description
`FrontendLogEntry`
FrontendLogEntry.`setSqlDriverLog(TelemetryEvent sqlDriverLog)`